Bug 63906 - chmod o=u not working as expected
Summary: chmod o=u not working as expected
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fileutils (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: wdovlrrw
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-21 13:35 UTC by Michael Redinger
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-21 13:35:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Michael Redinger 2002-04-21 13:35:01 UTC
chmod g=u does not work as expected. The write privilege is removed. 
This not very logical and differs from other Unix platforms (I tried Irix, 
Solaris and AIX). 
(I think this was done for security reasons. But this is not Windows. I want 
to shoot myself in the foot! :) 
 
> touch xxx 
> chmod 700 xxx   
> ls -l xxx 
-rwx------    1 user   user          0 Apr 21 15:24 xxx 
> chmod g=u xxx 
> ls -l xxx 
-rwxrwx---    1 user   use          0 Apr 21 15:24 xxx 
> chmod o=u xxx 
> ls -l xxx 
-rwxrwxr-x    1 user   user          0 Apr 21 15:24 xxx

Comment 1 Bernhard Rosenkraenzer 2002-08-29 23:08:05 UTC
Agreed, changed in 4.1.9-*


Note You need to log in before you can comment on or make changes to this bug.